On Mon, 06 Dec 2010 11:22:38 -0500
Rob Crittenden <rcrit...@redhat.com> wrote:

> Jan Zelený wrote:
> > Simo Sorce<sso...@redhat.com>  wrote:
> >> On Fri, 03 Dec 2010 17:25:20 -0700
> >>
> >> Rich Megginson<rmegg...@redhat.com>  wrote:
> >>> On 12/03/2010 04:26 PM, Simo Sorce wrote:
> >>>> In Fedora 14, 389-ds started linking against openldap libraries
> >>>> instead of the old mozldap libraries.
> >>>>
> >>>> This patch allows us to conditionally build plugins against
> >>>> openldap as well. Failure to do so may cause symbol clashes when
> >>>> the plugin is used by directory server because then we get 2
> >>>> different ldap libraries loaded at the same time.
> >>>>
> >>>> The spec file has already been changed to build plugins
> >>>> --with-openldap by default.
> >>>
> >>> ack but only if the goal is to remove use of #define
> >>> LDAP_DEPRECATED 1 - I can help with this
> >>
> >> The only reason I kept that is that we use ldap_explode_dn(), that
> >> function is not itself deprecated (ie it is not under
> >> LDAP_DEPRECATED ifdefs although a comment syas it is deprecated),
> >> but it returns char **, and the only function that frees a char **
> >> is ldap_free_value(). This one is under LDAP_DEPRECATED and says
> >> you shoud use ldap_free_value_len(), but that functions takes a
> >> struct berval as argument.
> >>
> >> I think there are only 2 places/plugins where those deprecated
> >> functions are used. So if you want to open a ticket to remove them
> >> feel free, but I would do that as a separate patch.
> >> The goal of this patch was to do as few modifications as possible
> >> to the plugins themselves.
> >
> > I can confirm this patch solves some installation issues on F14, so
> > if Rob agrees, I'd like to ack this.
> 
> Works for me too, ack.

Pushed to master

Simo.

-- 
Simo Sorce * Red Hat, Inc * New York

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to